	.file	"targa.cpp"
	.text
	.align 2
	.globl	_ZNK3tga5TARGA2okEv
	.type	_ZNK3tga5TARGA2okEv, @function
_ZNK3tga5TARGA2okEv:
.LFB1592:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movzbl	16(%rdi), %eax
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1592:
	.size	_ZNK3tga5TARGA2okEv, .-_ZNK3tga5TARGA2okEv
	.section	.text._ZN3tga5TARGAD2Ev,"axG",@progbits,_ZN3tga5TARGAD5Ev,comdat
	.align 2
	.weak	_ZN3tga5TARGAD2Ev
	.type	_ZN3tga5TARGAD2Ev, @function
_ZN3tga5TARGAD2Ev:
.LFB2060:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE2060:
	.size	_ZN3tga5TARGAD2Ev, .-_ZN3tga5TARGAD2Ev
	.weak	_ZN3tga5TARGAD1Ev
	.set	_ZN3tga5TARGAD1Ev,_ZN3tga5TARGAD2Ev
	.text
	.align 2
	.globl	_ZN3tga5TARGA4tellEv
	.type	_ZN3tga5TARGA4tellEv, @function
_ZN3tga5TARGA4tellEv:
.LFB1593:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	8(%rdi), %rdi
	call	ftell
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1593:
	.size	_ZN3tga5TARGA4tellEv, .-_ZN3tga5TARGA4tellEv
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	"virtual void tga::TARGA::seek(size_t)"
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC1:
	.string	"TEX/targa.cpp"
	.section	.rodata.str1.8
	.align 8
.LC2:
	.string	"absPos <= std::numeric_limits<long>::max()"
	.text
	.align 2
	.globl	_ZN3tga5TARGA4seekEm
	.type	_ZN3tga5TARGA4seekEm, @function
_ZN3tga5TARGA4seekEm:
.LFB1594:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	testq	%rsi, %rsi
	js	.L6
	movq	8(%rdi), %rdi
	movl	$0, %edx
	call	fseek
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L6:
	.cfi_restore_state
	movl	$.LC0, %ecx
	movl	$40, %edx
	movl	$.LC1, %esi
	movl	$.LC2, %edi
	call	__assert_fail
	.cfi_endproc
.LFE1594:
	.size	_ZN3tga5TARGA4seekEm, .-_ZN3tga5TARGA4seekEm
	.align 2
	.globl	_ZN3tga5TARGA5read8Ev
	.type	_ZN3tga5TARGA5read8Ev, @function
_ZN3tga5TARGA5read8Ev:
.LFB1595:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdi, %rbx
	movq	8(%rdi), %rdi
	call	fgetc
	cmpl	$-1, %eax
	jne	.L7
	movb	$0, 16(%rbx)
	movl	$0, %eax
.L7:
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1595:
	.size	_ZN3tga5TARGA5read8Ev, .-_ZN3tga5TARGA5read8Ev
	.align 2
	.globl	_ZN3tga5TARGA6write8Eh
	.type	_ZN3tga5TARGA6write8Eh, @function
_ZN3tga5TARGA6write8Eh:
.LFB1596:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	8(%rdi), %rax
	movzbl	%sil, %edi
	movq	%rax, %rsi
	call	fputc
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1596:
	.size	_ZN3tga5TARGA6write8Eh, .-_ZN3tga5TARGA6write8Eh
	.section	.text._ZN3tga5TARGAD0Ev,"axG",@progbits,_ZN3tga5TARGAD5Ev,comdat
	.align 2
	.weak	_ZN3tga5TARGAD0Ev
	.type	_ZN3tga5TARGAD0Ev, @function
_ZN3tga5TARGAD0Ev:
.LFB2062:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	call	_ZdlPv
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE2062:
	.size	_ZN3tga5TARGAD0Ev, .-_ZN3tga5TARGAD0Ev
	.text
	.align 2
	.globl	_ZN3tga5TARGAC2EP8_IO_FILE
	.type	_ZN3tga5TARGAC2EP8_IO_FILE, @function
_ZN3tga5TARGAC2EP8_IO_FILE:
.LFB1590:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	$_ZTVN3tga5TARGAE+16, (%rdi)
	movq	%rsi, 8(%rdi)
	movb	$1, 16(%rdi)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1590:
	.size	_ZN3tga5TARGAC2EP8_IO_FILE, .-_ZN3tga5TARGAC2EP8_IO_FILE
	.globl	_ZN3tga5TARGAC1EP8_IO_FILE
	.set	_ZN3tga5TARGAC1EP8_IO_FILE,_ZN3tga5TARGAC2EP8_IO_FILE
	.section	.rodata.str1.1
.LC3:
	.string	"rb"
	.text
	.align 2
	.globl	_ZN5TARGA9readTargaEPKcPPh
	.type	_ZN5TARGA9readTargaEPKcPPh, @function
_ZN5TARGA9readTargaEPKcPPh:
.LFB1597:
	.cfi_startproc
	.cfi_personality 0x3,__gxx_personality_v0
	.cfi_lsda 0x3,.LLSDA1597
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$192, %rsp
	.cfi_offset 14, -24
	.cfi_offset 13, -32
	.cfi_offset 12, -40
	.cfi_offset 3, -48
1:	call	mcount
	movq	%rsi, %rdi
	movl	$.LC3, %esi
.LEHB0:
	call	fopen
	movq	%rax, %rbx
	movq	%rax, %rsi
	leaq	-64(%rbp), %rdi
	call	_ZN3tga5TARGAC1EP8_IO_FILE
	leaq	-64(%rbp), %rsi
	leaq	-128(%rbp), %rdi
	call	_ZN3tga7DecoderC1EPNS_13FileInterfaceE
.LEHE0:
	leaq	-168(%rbp), %rax
	movq	%rax, -184(%rbp)
	movq	$0, -176(%rbp)
	movb	$0, -168(%rbp)
	movq	$0, -152(%rbp)
	movq	$0, -144(%rbp)
	movq	$0, -136(%rbp)
	leaq	-208(%rbp), %rsi
	leaq	-128(%rbp), %rdi
.LEHB1:
	call	_ZN3tga7Decoder10readHeaderERNS_6HeaderE
	testb	%al, %al
	je	.L25
	movzbl	-206(%rbp), %eax
	andl	$-9, %eax
	cmpb	$2, %al
	sete	%al
	movzbl	%al, %eax
	leal	1(%rax,%rax,2), %eax
	movl	%eax, -216(%rbp)
	movzwl	-194(%rbp), %edx
	imull	%edx, %eax
	movl	%eax, -212(%rbp)
	movzwl	-192(%rbp), %r12d
	imull	%eax, %r12d
	movl	$0, %r13d
	cmpl	$1073741824, %r12d
	ja	.L14
	movl	%r12d, %r13d
	testq	%r13, %r13
	je	.L28
	movq	%r13, %rdi
	call	_Znwm
.LEHE1:
	movq	%rax, %r14
	movb	$0, (%rax)
	cmpq	$1, %r13
	jne	.L32
.L16:
	movq	%r14, -224(%rbp)
	movl	$0, %ecx
	leaq	-224(%rbp), %rdx
	leaq	-208(%rbp), %rsi
	leaq	-128(%rbp), %rdi
.LEHB2:
	call	_ZN3tga7Decoder9readImageERKNS_6HeaderERNS_5ImageEPNS_8DelegateE
	jmp	.L33
.L32:
	movl	%r12d, %edx
	subq	$1, %rdx
	leaq	1(%rax), %rdi
	movl	$0, %esi
	call	memset
	jmp	.L16
.L28:
	movl	$0, %r14d
	jmp	.L16
.L33:
	movl	$2, %r13d
	testb	%al, %al
	jne	.L34
.L17:
	testq	%r14, %r14
	je	.L14
	movq	%r14, %rdi
	call	_ZdlPv
	jmp	.L14
.L34:
	leaq	-224(%rbp), %rdx
	leaq	-208(%rbp), %rsi
	leaq	-128(%rbp), %rdi
	call	_ZN3tga7Decoder16postProcessImageERKNS_6HeaderERNS_5ImageE
	movq	%rbx, %rdi
	call	fclose
.LEHE2:
	movl	$0, %r13d
	jmp	.L17
.L25:
	movl	$1, %r13d
.L14:
	movq	-152(%rbp), %rdi
	testq	%rdi, %rdi
	je	.L18
	call	_ZdlPv
.L18:
	movq	-184(%rbp), %rdi
	leaq	-168(%rbp), %rax
	cmpq	%rax, %rdi
	je	.L13
	call	_ZdlPv
.L13:
	movl	%r13d, %eax
	addq	$192, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L31:
	.cfi_restore_state
	movq	%rax, %rbx
	testq	%r14, %r14
	je	.L22
	movq	%r14, %rdi
	call	_ZdlPv
.L22:
	movq	-152(%rbp), %rdi
	testq	%rdi, %rdi
	je	.L23
	call	_ZdlPv
.L23:
	movq	-184(%rbp), %rdi
	leaq	-168(%rbp), %rax
	cmpq	%rax, %rdi
	je	.L24
	call	_ZdlPv
.L24:
	movq	%rbx, %rdi
.LEHB3:
	call	_Unwind_Resume
.LEHE3:
.L30:
	movq	%rax, %rbx
	jmp	.L22
	.cfi_endproc
.LFE1597:
	.globl	__gxx_personality_v0
	.section	.gcc_except_table,"a",@progbits
.LLSDA1597:
	.byte	0xff
	.byte	0xff
	.byte	0x1
	.uleb128 .LLSDACSE1597-.LLSDACSB1597
.LLSDACSB1597:
	.uleb128 .LEHB0-.LFB1597
	.uleb128 .LEHE0-.LEHB0
	.uleb128 0
	.uleb128 0
	.uleb128 .LEHB1-.LFB1597
	.uleb128 .LEHE1-.LEHB1
	.uleb128 .L30-.LFB1597
	.uleb128 0
	.uleb128 .LEHB2-.LFB1597
	.uleb128 .LEHE2-.LEHB2
	.uleb128 .L31-.LFB1597
	.uleb128 0
	.uleb128 .LEHB3-.LFB1597
	.uleb128 .LEHE3-.LEHB3
	.uleb128 0
	.uleb128 0
.LLSDACSE1597:
	.text
	.size	_ZN5TARGA9readTargaEPKcPPh, .-_ZN5TARGA9readTargaEPKcPPh
	.weak	_ZTSN3tga13FileInterfaceE
	.section	.rodata._ZTSN3tga13FileInterfaceE,"aG",@progbits,_ZTSN3tga13FileInterfaceE,comdat
	.align 16
	.type	_ZTSN3tga13FileInterfaceE, @object
	.size	_ZTSN3tga13FileInterfaceE, 22
_ZTSN3tga13FileInterfaceE:
	.string	"N3tga13FileInterfaceE"
	.weak	_ZTIN3tga13FileInterfaceE
	.section	.rodata._ZTIN3tga13FileInterfaceE,"aG",@progbits,_ZTIN3tga13FileInterfaceE,comdat
	.align 8
	.type	_ZTIN3tga13FileInterfaceE, @object
	.size	_ZTIN3tga13FileInterfaceE, 16
_ZTIN3tga13FileInterfaceE:
	.quad	_ZTVN10__cxxabiv117__class_type_infoE+16
	.quad	_ZTSN3tga13FileInterfaceE
	.weak	_ZTSN3tga5TARGAE
	.section	.rodata._ZTSN3tga5TARGAE,"aG",@progbits,_ZTSN3tga5TARGAE,comdat
	.align 8
	.type	_ZTSN3tga5TARGAE, @object
	.size	_ZTSN3tga5TARGAE, 13
_ZTSN3tga5TARGAE:
	.string	"N3tga5TARGAE"
	.weak	_ZTIN3tga5TARGAE
	.section	.rodata._ZTIN3tga5TARGAE,"aG",@progbits,_ZTIN3tga5TARGAE,comdat
	.align 8
	.type	_ZTIN3tga5TARGAE, @object
	.size	_ZTIN3tga5TARGAE, 24
_ZTIN3tga5TARGAE:
	.quad	_ZTVN10__cxxabiv120__si_class_type_infoE+16
	.quad	_ZTSN3tga5TARGAE
	.quad	_ZTIN3tga13FileInterfaceE
	.weak	_ZTVN3tga5TARGAE
	.section	.rodata._ZTVN3tga5TARGAE,"aG",@progbits,_ZTVN3tga5TARGAE,comdat
	.align 8
	.type	_ZTVN3tga5TARGAE, @object
	.size	_ZTVN3tga5TARGAE, 72
_ZTVN3tga5TARGAE:
	.quad	0
	.quad	_ZTIN3tga5TARGAE
	.quad	_ZN3tga5TARGAD1Ev
	.quad	_ZN3tga5TARGAD0Ev
	.quad	_ZNK3tga5TARGA2okEv
	.quad	_ZN3tga5TARGA4tellEv
	.quad	_ZN3tga5TARGA4seekEm
	.quad	_ZN3tga5TARGA5read8Ev
	.quad	_ZN3tga5TARGA6write8Eh
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
